/***************************************************************************
 *                                                                         *
 *   GALMKDIR.C                                                            *
 *                                                                         *
 *   Copyright (c) 1995-1997 Galacticomm, Inc.  All rights reserved.       *
 *                                                                         *
 *   This is the utility to create a directory if it does not exist.       *
 *   It was mainly created so that make files would not turn up errors     *
 *   if the directory was not there.                                       *
 *                                                                         *
 *                                                - W. Muharsky 08/04/97   *
 *                                                                         *
 ***************************************************************************/

#include "gcomm.h"

#define FILREV "$Revision: 2 $"

INT main(VOID);

INT
main(VOID)
{
     initvid();
     if (_argc == 2) {
          gmkdir(_argv[1]);
     }
     else {
          setatr(0x0C);
          printf("Usage: GALMKDIR <directory>\n");
          printf("\r");
          printf("     <directory> Full directory to create\n");
          printf("\r");
     }
     return(0);
}
